<?xml version="1.0" encoding="UTF-8"?>
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="relatorioProdutosMarcaPrecoCrossTab" pageWidth="842" pageHeight="595" orientation="Landscape" columnWidth="842" leftMargin="0" rightMargin="0" topMargin="0" bottomMargin="0" uuid="cf5debdd-31a6-4d24-a400-1b96fe36bcb5">
	<property name="ireport.zoom" value="1.0"/>
	<property name="ireport.x" value="0"/>
	<property name="ireport.y" value="0"/>
	<style name="Crosstab Data Text" hAlign="Center"/>
	<parameter name="REPORT_ID" class="java.lang.String"/>
	<queryString>
		<![CDATA[select grupo1,
abs(idxGrupo1) idxGrupo1,
grupo2,
abs(idxGrupo2) idxGrupo2,
grupo3,
abs(idxGrupo3) idxGrupo3,
valor,
indiceCampoColuna, abs(idxCampoColuna)  idxCampoColuna,
campoColuna
from tmpRelatorioCrossTab
where idRelatorio = '$P!{REPORT_ID}'
ORDER BY ABS(idxGrupo1), ABS(idxCampoColuna)]]>
	</queryString>
	<field name="grupo1" class="java.lang.String">
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="idxGrupo1" class="java.lang.Double">
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="grupo2" class="java.lang.String">
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="idxGrupo2" class="java.lang.Double">
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="grupo3" class="java.lang.String">
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="idxGrupo3" class="java.lang.Double">
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="valor" class="java.lang.Double">
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="indiceCampoColuna" class="java.lang.Integer">
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="idxCampoColuna" class="java.lang.Double">
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="campoColuna" class="java.lang.String">
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<background>
		<band splitType="Stretch"/>
	</background>
	<title>
		<band splitType="Stretch"/>
	</title>
	<pageHeader>
		<band splitType="Stretch"/>
	</pageHeader>
	<columnHeader>
		<band splitType="Stretch"/>
	</columnHeader>
	<detail>
		<band splitType="Stretch"/>
	</detail>
	<columnFooter>
		<band splitType="Stretch"/>
	</columnFooter>
	<pageFooter>
		<band splitType="Stretch"/>
	</pageFooter>
	<summary>
		<band height="42" splitType="Stretch">
			<crosstab>
				<reportElement uuid="2a8cb475-ed99-4943-b795-12d0b753ffa8" x="0" y="0" width="802" height="35"/>
				<rowGroup name="idxGrupo3" width="0">
					<bucket class="java.lang.Double">
						<bucketExpression><![CDATA[$F{idxGrupo3}]]></bucketExpression>
					</bucket>
					<crosstabRowHeader>
						<cellContents backcolor="#F0F8FF" mode="Opaque">
							<box>
								<pen lineWidth="0.5" lineStyle="Solid" lineColor="#000000"/>
							</box>
							<textField>
								<reportElement uuid="992fa2f1-46c0-4dca-90c2-88c3f9da1ada" style="Crosstab Data Text" x="0" y="0" width="0" height="0"/>
								<textElement/>
								<textFieldExpression><![CDATA[$V{idxGrupo3}]]></textFieldExpression>
							</textField>
						</cellContents>
					</crosstabRowHeader>
					<crosstabTotalRowHeader>
						<cellContents/>
					</crosstabTotalRowHeader>
				</rowGroup>
				<rowGroup name="grupo3" width="119">
					<bucket class="java.lang.String">
						<bucketExpression><![CDATA[$F{grupo3}]]></bucketExpression>
					</bucket>
					<crosstabRowHeader>
						<cellContents backcolor="#F0F8FF" mode="Opaque">
							<box>
								<pen lineWidth="0.5" lineStyle="Solid" lineColor="#000000"/>
							</box>
							<textField>
								<reportElement uuid="044e4cf2-1a31-4f24-8449-90a651a776ce" style="Crosstab Data Text" x="0" y="0" width="118" height="10"/>
								<textElement textAlignment="Left" verticalAlignment="Middle">
									<font size="6"/>
								</textElement>
								<textFieldExpression><![CDATA[$V{grupo3}]]></textFieldExpression>
							</textField>
						</cellContents>
					</crosstabRowHeader>
					<crosstabTotalRowHeader>
						<cellContents/>
					</crosstabTotalRowHeader>
				</rowGroup>
				<columnGroup name="indiceCampoColuna" height="0">
					<bucket class="java.lang.Integer">
						<bucketExpression><![CDATA[$F{indiceCampoColuna}]]></bucketExpression>
					</bucket>
					<crosstabColumnHeader>
						<cellContents backcolor="#F0F8FF" mode="Opaque">
							<box>
								<pen lineWidth="0.5" lineStyle="Solid" lineColor="#000000"/>
							</box>
							<textField>
								<reportElement uuid="fcbe665d-da08-4008-a6e3-0c502340b9b0" style="Crosstab Data Text" x="0" y="0" width="0" height="0"/>
								<textElement/>
								<textFieldExpression><![CDATA[$V{indiceCampoColuna}]]></textFieldExpression>
							</textField>
						</cellContents>
					</crosstabColumnHeader>
					<crosstabTotalColumnHeader>
						<cellContents/>
					</crosstabTotalColumnHeader>
				</columnGroup>
				<columnGroup name="campoColuna" height="21">
					<bucket class="java.lang.String">
						<bucketExpression><![CDATA[$F{campoColuna}]]></bucketExpression>
					</bucket>
					<crosstabColumnHeader>
						<cellContents backcolor="#F0F8FF" mode="Opaque">
							<box>
								<pen lineWidth="0.5" lineStyle="Solid" lineColor="#000000"/>
							</box>
							<textField>
								<reportElement uuid="e6f6f741-7e1b-497d-b772-62e6a0ee00b4" style="Crosstab Data Text" x="0" y="0" width="41" height="21"/>
								<textElement verticalAlignment="Middle">
									<font size="8" isBold="true"/>
								</textElement>
								<textFieldExpression><![CDATA[$V{campoColuna}]]></textFieldExpression>
							</textField>
						</cellContents>
					</crosstabColumnHeader>
					<crosstabTotalColumnHeader>
						<cellContents/>
					</crosstabTotalColumnHeader>
				</columnGroup>
				<measure name="valorMeasure" class="java.lang.Double" calculation="Sum">
					<measureExpression><![CDATA[$F{valor}]]></measureExpression>
				</measure>
				<crosstabCell width="42" height="10">
					<cellContents>
						<box>
							<pen lineWidth="0.5" lineStyle="Solid" lineColor="#000000"/>
						</box>
						<textField>
							<reportElement uuid="e73eb7ae-6574-478f-8210-8b8fdfe9295c" style="Crosstab Data Text" x="0" y="0" width="41" height="10"/>
							<textElement textAlignment="Right" verticalAlignment="Middle">
								<font size="6"/>
							</textElement>
							<textFieldExpression><![CDATA[$V{valorMeasure}]]></textFieldExpression>
							<patternExpression><![CDATA[($V{valorMeasure}%1)==0.0?"#,##0":"#,##0.00"]]></patternExpression>
						</textField>
					</cellContents>
				</crosstabCell>
				<crosstabCell height="25" rowTotalGroup="idxGrupo3">
					<cellContents backcolor="#005FB3" mode="Opaque">
						<box>
							<pen lineWidth="0.5" lineStyle="Solid" lineColor="#000000"/>
						</box>
						<textField>
							<reportElement uuid="f3c076bb-3e6d-4e0a-bd73-bc3f066bac33" style="Crosstab Data Text" x="0" y="0" width="50" height="25" forecolor="#FFFFFF"/>
							<textElement/>
							<textFieldExpression><![CDATA[$V{valorMeasure}]]></textFieldExpression>
						</textField>
					</cellContents>
				</crosstabCell>
				<crosstabCell width="50" columnTotalGroup="indiceCampoColuna">
					<cellContents backcolor="#005FB3" mode="Opaque">
						<box>
							<pen lineWidth="0.5" lineStyle="Solid" lineColor="#000000"/>
						</box>
						<textField>
							<reportElement uuid="803de732-6ed0-4c16-b30b-1f32cafb9d46" style="Crosstab Data Text" x="0" y="0" width="50" height="25" forecolor="#FFFFFF"/>
							<textElement/>
							<textFieldExpression><![CDATA[$V{valorMeasure}]]></textFieldExpression>
						</textField>
					</cellContents>
				</crosstabCell>
				<crosstabCell rowTotalGroup="idxGrupo3" columnTotalGroup="indiceCampoColuna">
					<cellContents backcolor="#005FB3" mode="Opaque">
						<box>
							<pen lineWidth="0.5" lineStyle="Solid" lineColor="#000000"/>
						</box>
						<textField>
							<reportElement uuid="5cd2c611-9022-444d-ac33-e0bb2191e23c" style="Crosstab Data Text" x="0" y="0" width="50" height="25" forecolor="#FFFFFF"/>
							<textElement/>
							<textFieldExpression><![CDATA[$V{valorMeasure}]]></textFieldExpression>
						</textField>
					</cellContents>
				</crosstabCell>
				<crosstabCell width="50" columnTotalGroup="campoColuna">
					<cellContents backcolor="#BFE1FF" mode="Opaque">
						<box>
							<pen lineWidth="0.5" lineStyle="Solid" lineColor="#000000"/>
						</box>
						<textField>
							<reportElement uuid="8dff238f-bb1e-4c22-bda5-4d612612e2ca" style="Crosstab Data Text" x="0" y="0" width="50" height="25"/>
							<textElement/>
							<textFieldExpression><![CDATA[$V{valorMeasure}]]></textFieldExpression>
						</textField>
					</cellContents>
				</crosstabCell>
				<crosstabCell rowTotalGroup="idxGrupo3" columnTotalGroup="campoColuna">
					<cellContents backcolor="#005FB3" mode="Opaque">
						<box>
							<pen lineWidth="0.5" lineStyle="Solid" lineColor="#000000"/>
						</box>
						<textField>
							<reportElement uuid="d1a2705f-4cff-4cbf-bb42-27a8a7acbd09" style="Crosstab Data Text" x="0" y="0" width="50" height="25" forecolor="#FFFFFF"/>
							<textElement/>
							<textFieldExpression><![CDATA[$V{valorMeasure}]]></textFieldExpression>
						</textField>
					</cellContents>
				</crosstabCell>
				<crosstabCell height="25" rowTotalGroup="grupo3">
					<cellContents backcolor="#BFE1FF" mode="Opaque">
						<box>
							<pen lineWidth="0.5" lineStyle="Solid" lineColor="#000000"/>
						</box>
						<textField>
							<reportElement uuid="5b59a261-5176-43f0-b1cb-67ffb3b5bf8a" style="Crosstab Data Text" x="0" y="0" width="50" height="25"/>
							<textElement/>
							<textFieldExpression><![CDATA[$V{valorMeasure}]]></textFieldExpression>
						</textField>
					</cellContents>
				</crosstabCell>
				<crosstabCell rowTotalGroup="grupo3" columnTotalGroup="indiceCampoColuna">
					<cellContents backcolor="#005FB3" mode="Opaque">
						<box>
							<pen lineWidth="0.5" lineStyle="Solid" lineColor="#000000"/>
						</box>
						<textField>
							<reportElement uuid="137f6ed8-c6b1-458e-be9e-fee725d9b6a6" style="Crosstab Data Text" x="0" y="0" width="50" height="25" forecolor="#FFFFFF"/>
							<textElement/>
							<textFieldExpression><![CDATA[$V{valorMeasure}]]></textFieldExpression>
						</textField>
					</cellContents>
				</crosstabCell>
				<crosstabCell rowTotalGroup="grupo3" columnTotalGroup="campoColuna">
					<cellContents backcolor="#BFE1FF" mode="Opaque">
						<box>
							<pen lineWidth="0.5" lineStyle="Solid" lineColor="#000000"/>
						</box>
						<textField>
							<reportElement uuid="89346987-aaf7-4b11-8a0a-814cf500c61c" style="Crosstab Data Text" x="0" y="0" width="50" height="25"/>
							<textElement/>
							<textFieldExpression><![CDATA[$V{valorMeasure}]]></textFieldExpression>
						</textField>
					</cellContents>
				</crosstabCell>
			</crosstab>
		</band>
	</summary>
</jasperReport>
